puts $message.class # <-- NilClassと表示

$message = 'Hello'

puts $message # <-- Helloと表示

class Sample
  def initialize
    $message = "Hello from #{ self.class }"
  end
  def say
    puts $message
  end
end

sample = Sample.new
sample.say    # <-- Hello from Sampleと表示
puts $message # <-- Hello from Sampleと表示
