#= RDocサンプルコード
# RDocのサンプルとして作成しました
class Sample
  # RDocサンプル用の独自例外クラス
  class SampleError < StandardError;end

  # メッセージ
  MESSAGE = 'hi'

  #== fooメソッドの見出し
  # このメソッドはインスタンスメソッドです
  # 定数と引数の値を結合した内容を出力します
  # 
  # - bar
  # - baz
  # 
  def foo(bar, baz)
    puts "#{ MESSAGE }, #{ bar }_#{ baz }"
  end

  #== barメソッドの見出し
  # このメソッドはクラスメソッドです
  # 引数の内容を出力します
  def self.bar(baz)
    puts "#{ baz }"
  end
end
